From: Matt Kramer <[email-masked]>
Date: Wed, 26 Feb 2020 12:04:25 -0800

In my case I *do* get different behavior in emacs -Q between 26.3 and
27.0.60 (75a9eee8b). I had to replace minibuffer-keyboard-quit with
abort-recursive-edit, since the former doesn't exist in 26.3. The initial
minibuffer hint looks the same in both cases:

0
1
2
3
4
5
6
7
8
9
10
Test1:
       ^
       |--- cursor

After pressing C-f, 26.3 gives the expected result:

0
1
2
3
4
5
6
7
8
9
10
Test2
     ^
     |--- cursor

However, 27.0.60 gives me the following bizarre content in the minibuffer
(where did that square bracket come from?):

0
1
2
3
4
5
6
7
8
9
10
Test1:  [0
1
2
3
4

in which the cursor is on the 0 at the very top. The read-key function
appears to be identical between the two revisions, aside from a trivial
change to support tab-bar, so I have no idea where the culprit may lie.